
import 'package:hmg_patient_app_new/services/analytics/analytics_service.dart';

class ErrorTracking{

  final GALogger logger;
  ErrorTracking(this.logger);

  log(String type, {String? error}){
    logger('errors', parameters: {
      'error_type' : type ?? 'unknown',
      'error' : error ?? 'unknown',
    });
  }

}